> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/account-management/get-fees.md).

# Get Fees

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/account/fee-rates`

Retrieve your account's current trading fee rates and trailing 14-day notional volume.&#x20;

Response your account's current taker fee rates, maker fee rate for trades in the sFOX Ox and Dark Pool order books, and your trailing 14-day notional trading volume used to determine your rates.

### Response Body

<table><thead><tr><th width="218.33333333333331">Field</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>volume</code></strong></td><td>Your 14-day trailing volume in USD</td></tr><tr><td><strong><code>makerRate</code></strong></td><td>Your maker fee rate for trades executed as a maker in the Ox and Dark Pool order books</td></tr><tr><td><strong><code>nprRate</code></strong></td><td>Your taker fee rate when trading with routing type = <code>NetPrice</code> (NPR)</td></tr><tr><td><strong><code>nprOffRate</code></strong></td><td>Your taker fee rate when trading with routing type = <code>Smart</code> (NPR-Off)</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "volume": 2302868.809741,
    "makerRate": 0.00021,
    "nprRate": 0.00035,
    "nprOffRate": 0.00105
}
```

</details>

<details>

<summary><mark style="color:red;">401</mark>: Unauthorized</summary>

```json
{ 
    "error": "invalid token. check authorization header."
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \ 
-H 'Content-Type: application/json' \
-X GET \
'https://api.sfox.com/v1/account/fee-rates'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/account/fee-rates',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/account/fee-rates",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfox.com/rest-api/account-management/get-fees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
